> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pack items

> Generate auto packing details



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /shipping/shipments/{order_number}/pack-items
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /shipping/shipments/{order_number}/pack-items:
    parameters:
      - name: order_number
        in: path
        description: Order number
        required: true
        schema:
          type: string
    post:
      tags:
        - Shipping
      summary: Pack items
      description: Generate auto packing details
      operationId: pack-shipment-items
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - warehouse_id
                - items
              properties:
                warehouse_id:
                  type: string
                items:
                  type: array
                  items:
                    type: object
                    required:
                      - product_id
                      - variant_id
                      - quantity
                    properties:
                      product_id:
                        type: string
                      variant_id:
                        type:
                          - string
                          - 'null'
                      quantity:
                        type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      total_boxes:
                        type: integer
                      total_cost:
                        type: number
                      total_weight:
                        type: number
                      boxes:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              enum:
                                - bin
                                - shipper
                            name:
                              type: string
                            length:
                              type: number
                            width:
                              type: number
                            height:
                              type: number
                            weight:
                              type: number
                            max_weight:
                              type: number
                            packed_items_count:
                              type: integer
                            packed_items_weight:
                              type: number
                            chargeable_weight:
                              type: number
                            box_count:
                              type: integer
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    description: >-
                                      combination of product id and variant id
                                      separated by - (hyphen).
                                    type: string
                                  product_id:
                                    type: string
                                  product_name:
                                    type: string
                                  variant_id:
                                    type: string
                                  variant_name:
                                    type: string
                                  length:
                                    type: number
                                  width:
                                    type: number
                                  height:
                                    type: number
                                  weight:
                                    type: number
                                  image_separated:
                                    type: string
                                  image_sbs:
                                    type: string
                                  coordinates:
                                    type: object
                                    additionalProperties:
                                      type: integer
                    type: object
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````